

cannon = {}
local cannonList = {}
 bullet = {}
 bullet2 = {}

function cannon:load()
	cannon.x = 0
	cannon.y = 0
	
	cannon.pic1 = love.graphics.newImage('data/pic/cannon1.png')
	cannon.pic1:setFilter('nearest','nearest')
	
	cannon.pic2 = love.graphics.newImage('data/pic/cannon2.png')
	cannon.pic2:setFilter('nearest','nearest')
	
	cannon.bulletpic1 = love.graphics.newImage('data/pic/bullet1.png')
	cannon.bulletpic1:setFilter('nearest','nearest')
	
	cannon.w = cannon.pic1:getWidth()
	cannon.h = cannon.pic1:getHeight()
	
	cannon.scale = 3
	cannon.posX = 7.96
	cannon.posY = 7.9
	cannon.pos2X = 7.76
	cannon.pos2Y = 7.9
	
	cannon.fireSpeed = 1
	cannon.fire = false
	cannon.bulletXPos = 0
	cannon.bulletYPos = 0
	cannon.bulletXPos2 = 0
	cannon.bulletYPos2 = 0 
	cannon.shootInterval = math.random(1.4,1.7)

	table.insert(bullet,{x=0,y=0,w=0,h=0,v=0})
	BulletTimer = 0
	
	table.insert(bullet2,{x=0,y=0,w=0,h=0,v=0})
	BulletTimer2 = 0
	
	drawBullets1 = false
	drawBullets2 = false
	
end

function addBullets(x,y,w,h,v)
	table.insert(bullet,{x = x , y = y , w = w , h = h , v = v})
end

function addBullets2(x,y,w,h,v)
	table.insert(bullet2,{x = x , y = y , w = w , h = h , v = v})
end


function buildCannon()
   cannonList = {}
   for x = 0 , world.width-1 do 
      for y = 0 , world.height-1 do 
         red,green,blue,alpha = world.img:getPixel(x,y)
         if red == 98 and green == 20 and blue == 20 then
            table.insert(cannonList,{x=x*cannon.posX*cannon.scale, y = y*cannon.posY*cannon.scale, w = cannon.w, h = cannon.h})
         elseif red == 255 and green == 89 and blue == 89 then
            table.insert(cannonList,{x=x*cannon.pos2X*cannon.scale, y = y*cannon.pos2Y*cannon.scale, w = cannon.w, h = cannon.h})
		 end
      end
   end
end

function cannon:draw()
buildCannon()

	for x = 0 , world.width-1 do 
		for y = 0 , world.height-1 do 
			red,green,blue,alpha = world.img:getPixel(x,y)
		
			if red == 98 and green == 20 and blue == 20 then
				drawBullets1 = true
				cannon.x = x*cannon.posX*cannon.scale
				cannon.y = y*cannon.posY*cannon.scale+2
				cannon.bulletXPos = x*cannon.posX*cannon.scale
				cannon.bulletYPos = y*cannon.posX*cannon.scale
				love.graphics.draw(cannon.pic2,cannon.x,cannon.y,0,cannon.scale,cannon.scale)
			end
		
			if red == 255 and green == 89 and blue == 89 then
				drawBullets2 = true
				cannon.x= x*cannon.pos2X*cannon.scale+6.9
				cannon.y = y*cannon.pos2Y*cannon.scale
				cannon.bulletXPos2 = x*cannon.pos2X*cannon.scale
				cannon.bulletYPos2 = y*cannon.pos2X*cannon.scale
				love.graphics.draw(cannon.pic1,cannon.x,cannon.y,0,cannon.scale,cannon.scale)
			end
			
		end
	end
	
	for i,v in ipairs(bullet) do 
		if drawBullets1 then
		love.graphics.setColor(130,50,40,230)
		love.graphics.rectangle("fill",v.x,v.y,v.w,v.h)
		love.graphics.setColor(255,255,255,255)
		end
	end
	
	for i,v in ipairs(bullet2) do 
		if drawBullets2 then
		love.graphics.setColor(130,50,40,230)
		love.graphics.rectangle("fill",v.x,v.y,v.w,v.h)
		love.graphics.setColor(255,255,255,255)
		end
	end
	
end

function cannon:update(dt)
	BulletTimer = BulletTimer + dt
	BulletTimer2 = BulletTimer2 + dt

for i,v in ipairs(bullet) do 
	if drawBullets1 then
	v.x = v.x + v.v*dt
		if BulletTimer > cannon.shootInterval then 
			sound:playMusic("shoot")
			addBullets(cannon.bulletXPos+26,(cannon.bulletYPos+5),6,6,70)
			BulletTimer = 0
		end
		--we dont want to have lag,so lets remove the bullets 
		if v.x >= screen_w-200 then 
			table.remove(bullet,i)
		end
		--bullet vs player
		if player.xPos + player.w+4 >= v.x and player.xPos <= v.x + 10 and player.yPos + player.h+2 >= v.y and player.yPos <= v.y + 6+2 then
			sound:playMusic("hurt2")
			restoreCheckPoint = true
			table.remove(bullet,i)
		end
		if restoreCheckPoint then
			table.remove(bullet)
		end
	end
end
	
for i,v in ipairs(bullet2) do 
	if drawBullets2 then
	v.x = v.x - v.v*dt
		if BulletTimer2 > cannon.shootInterval then 
			sound:playMusic("shoot")
			addBullets2(cannon.bulletXPos2,(cannon.bulletYPos2+8),6,6,70)
			BulletTimer2 = 0
		end
		if v.x >= 200 and v.x <= 300 then
			table.remove(bullet2,i)
		end
		print(v.x)
		--bullet vs player
		if player.xPos + player.w+4 >= v.x and player.xPos <= v.x + 10 and player.yPos + player.h+2 >= v.y and player.yPos <= v.y + 6+2 then
			sound:playMusic("hurt2")
			restoreCheckPoint = true
			table.remove(bullet2,i)
		end
		if restoreCheckPoint then
			table.remove(bullet2)
		end
	end
end
	
end 













