

sound = {}

function sound:load()
	music = love.audio.newSource("data/songs/CleanSoul.ogg", "stream")
	jump = love.audio.newSource("data/soundeffect/jump.wav", "static")
	hurt = love.audio.newSource("data/soundeffect/hurt.wav", "static")
	hurt2 = love.audio.newSource("data/soundeffect/hurt2.wav", "static")
	shoot = love.audio.newSource("data/soundeffect/shoot.wav", "static")
	win = love.audio.newSource("data/soundeffect/win.wav", "static")
	restart = love.audio.newSource("data/soundeffect/restart.wav", "static")
end

function sound:playMusic(sound)
	if sound == "music" then
		music:play()
		music:setLooping(true)
	elseif sound == "jump" then
		if jump:isStopped() then
			jump:play()
		else
			jump:rewind()
		end
	elseif sound == "hurt" then
		if hurt:isStopped() then
			hurt:play()
		else
			hurt:rewind()
		end
	elseif sound == "hurt2" then
		if hurt2:isStopped() then
			hurt2:play()
		else
			hurt2:rewind()
		end
	elseif sound == "shoot" then
		if shoot:isStopped() then
			shoot:play()
		else
			shoot:rewind()
		end
	elseif sound == "win" then
		if win:isStopped() then
			win:play()
		end
	elseif sound == "restart" then
		if restart:isStopped() then
			restart:play()
		end
	end
end