

spikes = {}
local spikeList = {}

function spikes:load()
	spikes.x = 0
	spikes.y = 0
	
	spikes.w = 26
	spikes.h = 12
	
	spikes.pic = love.graphics.newImage("data/pic/spike1.png")
	spikes.pic:setFilter('nearest','nearest')
	
	spikes.scale = 2.6
	
end

function buildSpikes()
   spikeList = {}
   for x = 0 , world.width-1 do 
      for y = 0 , world.height-1 do 
         red,green,blue,alpha = world.img:getPixel(x,y)
         if red == 81 and green == 116 and blue == 116 then
            table.insert(spikeList,{x=x*9.2*spikes.scale, y = y*9.2*spikes.scale, w = spikes.w, h = spikes.h})
         end
      end
   end
end

function spikes:draw()
	buildSpikes()
	for x = 0 , world.width-1 do 
		for y = 0 , world.height-1 do 
			red,green,blue,alpha = world.img:getPixel(x,y)
		
			if red == 81 and green == 116 and blue == 116 then
				spikes.x = x*9.2*spikes.scale
				spikes.y = y*9.2*spikes.scale
				love.graphics.draw(spikes.pic,x*9.2*spikes.scale,y*9.2*spikes.scale,0,spikes.scale,spikes.scale)
			end
		end
	end
end

function spikes:update(dt)
	for i = 1 , #spikeList do 
		if player.xPos + player.w+8 >= spikeList[i].x and player.xPos <= spikeList[i].x + spikeList[i].w and 
		player.yPos + player.h >= spikeList[i].y and player.yPos <= spikeList[i].y + spikeList[i].h then 
		restoreCheckPoint = true
		sound:playMusic('hurt')
		end		
	end
end